#ifndef _AppHeader_
#define _AppHeader_
/**
 * Ti-83/84 plus Appͷļ
 */
#include <stdbool.h>
inline void exit();
inline void main();
void AppHeader()
{
	__asm
	.DB 0x80, 0x0F;//Field: Program length
	.DB 0x00, 0x00, 0x00, 0x00;//Length = 0 (N / A for unsigned apps)
	.DB 0x80, 0x12;//Field: Program type
	.DB 0x01, 0x04;//Type = Shareware, TI - 83Plus
	.DB 0x80, 0x21;//Field: App ID
	.DB 0x01;//Id = 1
	.DB 0x80, 0x31;//Field: App Build
	.DB 0x01;//Build = 1
	.DB 0x80, 0x48;//Field: App Name
	.DB 0x48, 0x65, 0x6C, 0x6C, 0x6F, 0x20, 0x20, 0x20;//Name = "Hello   " must be 8 characters
	.DB 0x80, 0x81;//Field: App Pages
	.DB 0x01;//App Pages = 1
	.DB 0x80, 0x90;//No default splash screen
	.DB 0x03, 0x26, 0x09, 0x04, 0x04, 0x6F, 0x1B, 0x80;//Field: Date stamp - 5 / 12 / 1999
	.DB 0x02, 0x0D, 0x40;//Dummy encrypted TI date stamp signature
	.DB 0xA1, 0x6B, 0x99, 0xF6, 0x59, 0xBC, 0x67;
	.DB 0xF5, 0x85, 0x9C, 0x09, 0x6C, 0x0F, 0xB4, 0x03, 0x9B, 0xC9;
	.DB 0x03, 0x32, 0x2C, 0xE0, 0x03, 0x20, 0xE3, 0x2C, 0xF4, 0x2D;
	.DB 0x73, 0xB4, 0x27, 0xC4, 0xA0, 0x72, 0x54, 0xB9, 0xEA, 0x7C;
	.DB 0x3B, 0xAA, 0x16, 0xF6, 0x77, 0x83, 0x7A, 0xEE, 0x1A, 0xD4;
	.DB 0x42, 0x4C, 0x6B, 0x8B, 0x13, 0x1F, 0xBB, 0x93, 0x8B, 0xFC;
	.DB 0x19, 0x1C, 0x3C, 0xEC, 0x4D, 0xE5, 0x75;
	.DB 0x80, 0x7F;//Field: Program Image length
	.DB 0x00, 0x00, 0x00, 0x00;//Length = 0, N / A
	.DB 0x00, 0x00, 0x00, 0x00;//Reserved
	.DB 0x00, 0x00, 0x00, 0x00;//Reserved
	.DB 0x00, 0x00, 0x00, 0x00;//Reserved
	.DB 0x00, 0x00, 0x00, 0x00;//Reserved
	__endasm;
	main();
	exit();
}
void exit()
{
	__asm
	CALL 0x50;
	.DW 0x4027;
	__endasm;
}
#endif
